package com.ruoyi.web.v1.service;

import java.util.List;
import com.ruoyi.web.v1.model.DeadDisposal;

/**
 * 死淘处理方式Service接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface IDeadDisposalService 
{
    /**
     * 查询死淘处理方式
     * 
     * @param id 死淘处理方式主键
     * @return 死淘处理方式
     */
    public DeadDisposal selectDeadDisposalById(Long id);

    /**
     * 查询死淘处理方式列表
     * 
     * @param deadDisposal 死淘处理方式
     * @return 死淘处理方式集合
     */
    public List<DeadDisposal> selectDeadDisposalList(DeadDisposal deadDisposal);

    /**
     * 校验死亡原因是否唯一
     *
     * @param  deadDisposal 死淘处理方式
     * @return 结果
     */
    public boolean checkDealReasonUnique(DeadDisposal deadDisposal);

    /**
     * 新增死淘处理方式
     * 
     * @param deadDisposal 死淘处理方式
     * @return 结果
     */
    public int insertDeadDisposal(DeadDisposal deadDisposal);

    /**
     * 修改死淘处理方式
     * 
     * @param deadDisposal 死淘处理方式
     * @return 结果
     */
    public int updateDeadDisposal(DeadDisposal deadDisposal);

    /**
     * 批量删除死淘处理方式
     * 
     * @param ids 需要删除的死淘处理方式主键集合
     * @return 结果
     */
    public int deleteDeadDisposalByIds(Long[] ids);

    /**
     * 删除死淘处理方式信息
     * 
     * @param id 死淘处理方式主键
     * @return 结果
     */
    public int deleteDeadDisposalById(Long id);
}
